import request from '@/utils/httpRequest'
import { BUSINESS_PATH as prefix } from "../AppPath";

export default class MonthlyList{
	list (param) {
		return request({
			url: prefix +'/monthly/findList',
			method: 'get',
			params: param
		})
	}

	saveForm (inputForm) {
		return request({
			url: prefix + `/monthly/saveForm`,
			method: 'post',
			data: inputForm
		})
	}

	queryById (id) {
		return request({
			url: prefix +'/monthly/findById',
			method: 'get',
			params: {id: id}
		})
	}

	delete (ids) {
		return request({
			url: prefix+"/monthly/delete",
			method: 'delete',
			params: {id: ids}
		})
	}


	adminEditForm(param){
		return request({
			url: prefix + "/monthly/adminEditForm",
			method: "post",
			data: param,
		})
	}

	exportFile(params) {
		return request({
			url: prefix + "/monthly/export",
			method: "get",
			params: params,
			responseType: "blob",
		});
	}

}
